#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=jamaica2.22_depth_histogram.ps
projection=-JX12/10
region=-R1/39/0/13
gmt pshistogram $projection $region -W1 -F -Gcyan -L1p -Z0 -Bxa10f1+l'Depth (km)' -Bya10f1+lCounts -BWeSn+t'Focal Depths jamaica2.22' -K <<END>> $psfile
    31.000
    18.000
    21.000
    18.000
    26.000
     6.000
    19.000
    16.000
    23.000
    19.000
    14.000
    12.000
    14.000
    15.000
    34.000
    27.000
    11.000
    22.000
    25.000
    28.000
    21.000
    15.000
    18.000
    21.000
    13.000
    25.000
    21.000
    18.000
    20.000
    21.000
    23.000
    11.000
    15.000
    18.000
    18.000
    13.000
    19.000
    18.000
    18.000
    20.000
    23.000
    23.000
    16.000
    15.000
    13.000
    15.000
    30.000
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -K -O << END >> $psfile
    12.220     2.000 Median of constrained depths =  18.0
END
gmt pstext -: -R $projection -F+f10p,Helvetica,black+a0.+jBL -O << END >> $psfile
    11.440     2.000 Spread of constrained depths =   4.9
END
